<template lang="html">
  <div class="butter-block">
    <flex v-if="$slots['header']" class="header"><slot name="header"></slot></flex>
    <flex dir="row" v-if="$slots['graphic']">
      <flex class="graphic"><slot name="graphic"></slot></flex>
      <flex dir="column" class="content">
        <slot></slot>
      </flex>
    </flex>
    <slot v-else></slot>
  </div>
</template>
<style lang="scss" scoped>
@import 'butter-themes';
@import 'butter-mixins';

  .butter-block {
    @include themify($themes) {
      background-color: themed('color-bg-secondary');
      box-shadow: themed('box-shadow');
    }
    @include flex($dir: column, $grow: 0, $shrink: 1, $basis: auto);
    margin: ($grid * 1.25) 0;
    width: 100%;
    max-width: $page-width;
    text-align: left;
    border-radius: $grid;
    box-sizing: border-box;

    h1, h2, h3, h4, p {
      text-align: left;
      padding: 0 $grid*2;
    }
  }

  .header {
    justify-content: space-between;
    padding: $grid*3.75 $grid*3.75 $grid $grid*3.75;
  }

  .header /deep/ {
    @include title;
  }
  .header /deep/,
  .content /deep/ {
    h1, h2, h3, h4, p {
      text-align: left;
    }

    h1 {
      margin: 0;

      span {
        @include themify($themes) {
          color: themed('color-text-tertiary');
        }
      }
    }
  }

  .graphic {
    flex-basis: 33%;
    flex-shrink: 0;

    align-items: center;
    justify-content: center;
  }

  .content {
    padding: $grid*7;
  }

  .content /deep/ {
    h2 {
      @include font(32px,40px,$font-sans-bold);

      margin: $grid 0 0;
    }
    p {
      @include font(18px,24px,$font-sans);
      @include themify($themes) {
        color: themed('color-text-tertiary');
      }

      margin: $grid*2 0 0;
    }
    button {
      margin-top: $grid*3;
      flex-shrink: 0;
      width: auto;
      height: $grid*5;
      padding: 0 $grid*6;
    }
  }
</style>
